Subject: [Sip] response to merged requests

From: "Ravi Shiroor" <[email-masked]>
Date: Wed, 4 Dec 2002 14:06:06 +0530

posting this on sip as there were no responses on sip-implementors.

--------->

section 8.2.2.2 in RFC 3261 says that when a UAS receives
merged requests, it should respond to the INVITEs receieved
after the first one (those detected as merged) with 482 (loop detected).

i was wondering why "loop detected" is being being used when
merged requests are receieved? wouldnt it be appropriate to
define a specific 4xx response for merged requests?

can somebody please clarify if there is a valid reason for
using "loop detected" in this scenario?

TIA,
ravi.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 05 Dec 2002 02:32:12 -0500

I don't think there was an explicit decision to not define a new 
response code. The error condition seemed close enough to a loop (its 
another topology failure) that it was reasonable to reuse the code.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com